// source  http://www.storiesinflight.com/html5/audio.html

// AUDIO CUES

var channel_max = 10;// number of channels
audiochannels = new Array();

for (a=0;a<channel_max;a++) {// prepare the channels
    audiochannels[a] = new Array();
    audiochannels[a]['channel'] = new Audio();// create a new audio object
    audiochannels[a]['finished'] = -1;// expected end time for this channel
}

function audioCue(s){
    //alert("fire");
    //t = "'"+s+"'";

    for (a=0;a<audiochannels.length;a++) {
	thistime = new Date();
	if (audiochannels[a]['finished'] < thistime.getTime()) {
	    audiochannels[a]['finished'] = thistime.getTime() + document.getElementById(s).duration*1000;
	    audiochannels[a]['channel'].src = document.getElementById(s).src;
	    audiochannels[a]['channel'].load();
	    audiochannels[a]['channel'].play();
	    break;
	}
    }
} 

function vibrate(){
    navigator.vibrate([200, 200, 200,200, 300,100, 400]);
}


function play_cue(s) {
    //console.log("asdf");
    //vibrate();
    //setTimeout(function(){
	console.log("--------------------------------"+ s)
	audioCue(s);

    //},2000);
}


// TACTILE CUES
if (window.navigator && window.navigator.vibrate) {
   // Shake that device!
    console.log("vibrate supported")
} else {
   // Not supported
    console.log("vibrate not supported")
}

function checkTime(i) {
    if (i < 10) {
        i = "0" + i;
    }
    return i;
}

function startTime() {

    // For todays date;
    Date.prototype.today = function () { 
	return ((this.getDate() < 10)?"0":"") + this.getDate() +"/"+(((this.getMonth()+1) < 10)?"0":"") + (this.getMonth()+1) +"/"+ this.getFullYear();
    }
    
    // For the time now
    Date.prototype.timeNow = function () {
	return ((this.getHours() < 10)?"0":"") + this.getHours() +":"+ ((this.getMinutes() < 10)?"0":"") + this.getMinutes() +":"+ ((this.getSeconds() < 10)?"0":"") + this.getSeconds();
    }
    
    var newDate = new Date();
    var datetime =  newDate.timeNow();
    
    document.getElementById('time').innerHTML = datetime;
    t = setTimeout(function () {
	startTime();
	
    }, 500);
}

startTime();




