#!/bin/bash
# cvlc -jack-connect-regex idjc_default.pl_in_ "$1"
# jack://channels=2:ports=.*
#  'jack://channels=4:ports=.*'


NODE=$1

cvlc -vvv  --aout jack \
	--no-jack-auto-connect \
	http://stream.kiben.net:8800/node$NODE.opus \
	--network-caching 5000  \
	--http-reconnect \
	--http-continuous

:'
      --file-caching=<integer [0 .. 60000]>
                                 File caching (ms)
          Caching value for local files, in milliseconds.
      --live-caching=<integer [0 .. 60000]>
                                 Live capture caching (ms)
          Caching value for cameras and microphones, in milliseconds.
      --disc-caching=<integer [0 .. 60000]>
                                 Disc caching (ms)
          Caching value for optical media, in milliseconds.
      --network-caching=<integer [0 .. 60000]>
                                 Network caching (ms)
          Caching value for network resources, in milliseconds.
'
